Plugin "Elastic Beats Input " requires version 2.2.3 - not loading!


(Lianyang506277) #1

I downloaded the tag 2.2.3 version, and packaged with the assembly to the server, but select the input drop-down box I do not have the Beats plug-in, the following is the log:

2017-07-03 12:46:32,828 ERROR: org.graylog2.plugin.Version - Unable to read version.properties,
 this build has no version number.
com.github.zafarkhaja.semver.UnexpectedCharacterException: null
	at com.github.zafarkhaja.semver.VersionParser.ensureValidLookahead(VersionParser.java:5
30) ~[graylog.jar:?]
	at com.github.zafarkhaja.semver.VersionParser.parseBuild(VersionParser.java:358) ~[gray
log.jar:?]
	at com.github.zafarkhaja.semver.VersionParser.parseBuild(VersionParser.java:237) ~[gray
log.jar:?]
	at com.github.zafarkhaja.semver.Version.setBuildMetadata(Version.java:458) ~[graylog.ja
r:?]
	at org.graylog2.plugin.Version.buildSemVer(Version.java:149) ~[graylog.jar:?]
	at org.graylog2.plugin.Version.from(Version.java:140) ~[graylog.jar:?]
	at org.graylog2.plugin.Version.fromClasspathProperties(Version.java:239) [graylog.jar:?
]
	at org.graylog2.plugin.Version.fromClasspathProperties(Version.java:199) [graylog.jar:?
]
	at org.graylog2.plugin.Version.fromClasspathProperties(Version.java:173) [graylog.jar:?
]
	at org.graylog2.plugin.Version.<clinit>(Version.java:66) [graylog.jar:?]
	at org.graylog2.bootstrap.CmdLineTool.<clinit>(CmdLineTool.java:90) [graylog.jar:?]
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_45]
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.
java:62) [?:1.8.0_45]
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAcces
sorImpl.java:45) [?:1.8.0_45]
	at java.lang.reflect.Constructor.newInstance(Constructor.java:422) [?:1.8.0_45]
	at com.github.rvesse.airline.parser.ParserUtil.createInstance(ParserUtil.java:39) [gray
log.jar:?]
	at com.github.rvesse.airline.DefaultCommandFactory.createInstance(DefaultCommandFactory
.java:25) [graylog.jar:?]
	at com.github.rvesse.airline.parser.ParserUtil.createInstance(ParserUtil.java:95) [gray
log.jar:?]
	at com.github.rvesse.airline.parser.command.CliParser.parse(CliParser.java:75) [graylog
.jar:?]
	at com.github.rvesse.airline.Cli.parse(Cli.java:74) [graylog.jar:?]
	at com.github.rvesse.airline.Cli.parse(Cli.java:69) [graylog.jar:?]
	at org.graylog2.bootstrap.Main.main(Main.java:43) [graylog.jar:?]
2017-07-03 12:46:33,230 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "SyslogOutputPlugin"
 requires version 2.1.1 - not loading!
2017-07-03 12:46:33,231 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "Elastic Beats Input
" requires version 2.2.3 - not loading!
2017-07-03 12:46:33,232 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "Collector" requires
 version 2.2.3 - not loading!
2017-07-03 12:46:33,233 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "Enterprise Integrat
ion Plugin" requires version 2.1.0 - not loading!
2017-07-03 12:46:33,234 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "MapWidgetPlugin" re
quires version 2.2.3 - not loading!
2017-07-03 12:46:33,234 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "NetFlowPlugin" requ
ires version 1.2.0 - not loading!
2017-07-03 12:46:33,244 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "Pipeline Processor 
Plugin" requires version 2.2.3 - not loading!
2017-07-03 12:46:33,245 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "Stream Lookup pipel
ine function" requires version 2.2.1 - not loading!
2017-07-03 12:46:33,246 ERROR: org.graylog2.bootstrap.CmdLineTool - Plugin "Anonymous Usage Sta
tistics" requires version 2.2.3 - not loading!

(Jochen) #2

Which version of Graylog are you using?


(Lianyang506277) #3

I used the tag 2.2.3 version on GitHub


(Jochen) #4

You have to build Graylog with Maven (at least once), so that the version.properties file is being generated.


(Lianyang506277) #5

This is the gray.jar I packaged with the assembly,and it has the version.properties file.


(Jochen) #6

How exactly did you build the Graylog artifact(s)?


(Lianyang506277) #7

I add the following code to the pom.xml file in the graylog-server and run the ‘package’ command under the pom.xml file .


(system) #8

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.